.post-list {
  display: grid;
  margin-bottom: 2rem;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.post-list:last-child {
  margin-bottom: 0;
}

.site-post {
  overflow: hidden;
  height: 100%;
  border: 1px solid var(--o-border-color);
  border-radius: 10px;
}

.site-post__content {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.site-post__pic {
  display: flex;
  overflow: hidden;
  aspect-ratio: 4/3;
}

.site-post__img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  transition: 0.3s;
}

.site-post:hover .site-post__img {
  filter: brightness(0.9);
}

.site-post__link {
  color: inherit;
}

.site-post__meta {
  display: flex;
  flex-wrap: wrap;
  padding-bottom: 1rem;
  color: var(--o-font-color--secondary);
  border-bottom: 1px solid var(--o-border-color);
  font-size: 0.7rem;
  gap: 1rem;
}

.site-post__meta a {
  color: inherit;
}

.site-post__meta a:hover {
  color: var(--o-primary-color);
}

.site-post__meta .icon {
  --size: 1em;
}

.site-post__info {
  display: flex;
  flex-direction: column;
  padding: 1rem 1.5rem;
  color: var(--o-font-color);
  font-size: 0.8rem;
  gap: 1rem;
}

.site-post__title {
  font-size: var(--o-h5-size);
}

.site-post__text {
  color: var(--o-font-color--secondary);
}

.site-post__date {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.site-post__category {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.post-badge__link {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.site-post__btn {
  display: flex;
  color: var(--o-font-color);
  gap: 0.5rem;
}

.site-post__btn:hover {
  color: var(--o-primary-color);
}

.site-post__btn .icon {
  transform: rotate(45deg);
}

.single-post .entry-content h2 {
  text-align: center;
}

.new-promo-block {
  margin-bottom: 2rem;
}

.new-promo-block:last-child {
  margin-bottom: 0;
}

.new-promo-block__content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}

.new-promo-block__pic {
  display: flex;
  aspect-ratio: 4/3;
}

.new-promo-block__img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  border-radius: 10px;
}

.new-promo-block__info {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  padding: 2rem;
  border-radius: 10px;
  background-color: var(--o-bg-color);
  text-wrap-style: balance;
}

.new-order-list {
  display: grid;
  align-items: start;
  counter-reset: order;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

.new-order-list li {
  position: relative;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  min-height: 2rem;
  padding-left: 3rem;
}

.new-order-list li::before {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  display: block;
  width: 2rem;
  height: 2rem;
  content: counter(order, decimal-leading-zero);
  counter-increment: order;
  text-align: center;
  color: var(--o-font-color--light);
  border-radius: 3px;
  background-color: var(--o-primary-color);
  font-size: 0.8em;
  font-weight: 600;
  line-height: 2rem;
}

.new-features {
  display: grid;
  margin-bottom: 2rem;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
}

.new-features:last-child {
  margin-bottom: 0;
}

.new-features__item {
  position: relative;
  display: flex;
  flex-direction: column;
  text-align: center;
  text-wrap-style: balance;
}

.new-features__pic {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 4rem;
  height: 4rem;
  margin: 0 auto 1rem;
  border: 1px solid var(--o-border-color);
  border-radius: 6px;
  background-color: var(--o-bg-color);
}

.new-features__icon {
  mask-position: center center;
  mask-repeat: no-repeat;
  mask-size: 60%;
  object-fit: contain;
  object-position: 100px center;
  width: 100%;
  height: 100%;
  background-color: currentColor;
}

.new-features__icon--analisys {
  mask-image: url("/wp-content/uploads/icons/analisys.svg");
}

.new-features__icon--calculator {
  mask-image: url("/wp-content/uploads/icons/calculator.svg");
}

.new-features__icon--call {
  mask-image: url("/wp-content/uploads/icons/call.svg");
}

.new-features__icon--choises {
  mask-image: url("/wp-content/uploads/icons/choises.svg");
}

.new-features__icon--delivery {
  mask-image: url("/wp-content/uploads/icons/delivery.svg");
}

.new-features__icon--diplom {
  mask-image: url("/wp-content/uploads/icons/diplom.svg");
}

.new-features__icon--discount {
  mask-image: url("/wp-content/uploads/icons/discount.svg");
}

.new-features__icon--document {
  mask-image: url("/wp-content/uploads/icons/document.svg");
}

.new-features__icon--factory {
  mask-image: url("/wp-content/uploads/icons/factory.svg");
}

.new-features__icon--handshake {
  mask-image: url("/wp-content/uploads/icons/handshake.svg");
}

.new-features__icon--like {
  mask-image: url("/wp-content/uploads/icons/like.svg");
}

.new-features__icon--medal {
  mask-image: url("/wp-content/uploads/icons/medal.svg");
}

.new-features__icon--pin {
  mask-image: url("/wp-content/uploads/icons/pin.svg");
}

.new-features__icon--schedule {
  mask-image: url("/wp-content/uploads/icons/schedule.svg");
}

.new-features__icon--scheme {
  mask-image: url("/wp-content/uploads/icons/scheme.svg");
}

.new-features__icon--shield {
  mask-image: url("/wp-content/uploads/icons/shield.svg");
}

.new-features__icon--star {
  mask-image: url("/wp-content/uploads/icons/star.svg");
}

.new-features__icon--target {
  mask-image: url("/wp-content/uploads/icons/target.svg");
}

.new-features__icon--tool {
  mask-image: url("/wp-content/uploads/icons/tool.svg");
}

.new-features__icon--wallet {
  mask-image: url("/wp-content/uploads/icons/wallet.svg");
}

.new-features__title {
  margin-bottom: 1rem;
  font-size: 1.1rem;
}

.new-features__text {
  color: var(--o-font-color--secondary);
}

.new-blog-gallery {
  display: grid;
  margin-bottom: 2rem;
  grid-template-columns: repeat(4, 1fr);
  gap: 1rem;
}

.new-blog-gallery:last-child {
  margin-bottom: 0;
}

.new-blog-gallery__pic {
  display: flex;
  aspect-ratio: 4/3;
}

.new-blog-gallery__img {
  border-radius: 6px;
}

.new-blog-contacts {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  margin-bottom: 2rem;
  font-size: 0.8rem;
  gap: 0.5rem;
}

.new-blog-contacts:last-child {
  margin-bottom: 0;
}

.new-blog-contacts__item:empty {
  display: none !important;
}

.new-blog-contacts:last-child {
  margin-bottom: 0;
}

.new-contacts-content {
  position: relative;
  z-index: 1;
  display: flex;
  align-items: center;
  white-space: nowrap;
  color: inherit;
  gap: 0.5rem;
}

.new-contacts-content:empty {
  display: none !important;
}

.new-contacts-content[class*="phone"] {
  font-size: 1rem;
  font-weight: 600;
}

.new-contacts-content[class*="phone"],
.new-contacts-content--email {
  white-space: nowrap;
}

.new-contacts-content::before {
  --size: 1rem;
  position: relative;
  top: 50%;
  left: 0;
  width: var(--size);
  min-width: var(--size);
  height: var(--size);
  content: "";
}

.new-contacts-content::before {
  -webkit-mask-position: center center;
  mask-position: center center;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  mask-size: contain;
  background-color: var(--o-primary-color);
}

.new-contacts-content[class*="phone"]::before {
  mask-image: url("../icons/phone.svg");
}

.new-contacts-content--email::before {
  mask-image: url("../icons/email.svg");
}

.new-contacts-content--address::before {
  mask-image: url("../icons/address.svg");
}

.new-contacts-content a {
  color: var(--o-font-color);
}

.new-feedback {
  display: grid;
  margin-bottom: 2rem;
  gap: 1rem;
  grid-template-columns: repeat(2, 1fr);
}

.new-feedback__item {
  padding: 2rem;
  border-radius: 10px;
  background-color: var(--o-bg-color);
}

.new-feedback__content {
  height: 100%;
  margin-bottom: 0;
}

.new-feedback__info {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  height: 100%;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

.new-feedback__text {
  flex-grow: 1;
  order: -2;
  font-size: 0.8rem;
}

.new-feedback__name {
  position: relative;
  display: flex;
  align-items: center;
  order: -1;
  font-size: 1.1rem;
  font-weight: 500;
  gap: 0.5rem;
}

.new-feedback__name::before {
  top: 50%;
  width: 2.5rem;
  content: "";
  transform: translateY(-50%);
  border-bottom: 2px solid var(--o-primary-color);
}

.new-feedback__time {
  order: -2;
  color: var(--o-font-color--secondary);
  font-size: 0.8rem;
}

.new-feedback:last-child {
  margin-bottom: 0;
}

@media(max-width: 991.98px) {
  .post-list {
    grid-template-columns: repeat(2, 1fr);
  }

  .new-blog-gallery {
    grid-template-columns: repeat(2, 1fr);
  }

  .new-features {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media(max-width: 767.98px) {
  .post-list {
    column-gap: 1rem;
  }

  .new-promo-block__content {
    grid-template-columns: 1fr;
    gap: 1rem;
  }

  .new-order-list {
    grid-template-columns: 1fr;
  }

  .new-feedback {
    grid-template-columns: 1fr;
  }
}

@media(max-width: 575.98px) {
  .post-list {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media(max-width: 479.98px) {
  .new-features {
    grid-template-columns: 1fr;
  }
}

@media(max-width: 374.98px) {}